### Method

# Secret Item set_attributes

#### Declaration [src]

    void
    secret_item_set_attributes (
      SecretItem* self,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Set the attributes of this item.

The `attributes` are a mapping of string keys to string values. Attributes are used to search for items. Attributes are not stored or transferred securely by the secret service.

This function returns immediately and completes asynchronously.

This method completes asynchronously. Use `secret_item_set_attributes_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`attributes`

  Type: `GHashTable`

  A new set of attributes.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the asynchronous operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.